@extends('layouts.app')


@section('title')
    Email Log
@stop

@section('breadcrumb')
    <ol class="breadcrumb pull-right">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="{{ route('email-sms.index') }}"> Email Sms Type </a></li>



        <li class="active"> Email Log</li>

    </ol>
@stop

@section('content')
    <!-- .container-fluid -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12" style="margin-top: 15px;">
                <div class="panel panel-info">
                    <div class="panel-heading">Search Email</div>
                    <div class="panel-wrapper collapse in" aria-expanded="true">

                        <div class="panel-body">
                            <form>
                                <div class="form-body">
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-group has-success" style="margin-bottom: 15px">
                                                <label class="control-label">By Title</label>
                                                <select id="title" class="form-control chosen-select">
                                                    <option value="0">None</option>
                                                    @foreach($email_sms_type as $email)
                                                    <option value="{{$email->name}}">{{$email->name}}</option>
                                                    
                                                    @endforeach

                                                    
                                                </select>

                                            </div>
                                        </div>
                                        <!--/span-->
                                        <div class="col-md-3">
                                            <div class="form-group has-success" style="margin-bottom: 15px">
                                                <label class="control-label">By Email</label>

                                                <select id="email" class="form-control chosen-select">
                                                    <option value="0">None</option>
                                                    @foreach($customer_email as $email)
                                                    <option value="{{$email->email}}">{{$email->email}}</option>
                                                    @endforeach
                                                   
                                                </select>
                                            </div>
                                        </div>
                                        <!--/span-->
                                        <!--/span-->
                                        
                                        <!--/span-->

                                        <!--/span-->
                                        <div class="col-md-3">
                                            <div class="form-group has-success" style="margin-bottom: 15px">
                                                <label class="control-label">By status</label>
                                                <select id="status" class="form-control chosen-select">
                                                    <option value="0">None</option>
                                                    <option value="1">Success</option>
                                                    <option value="2">Fail</option>

                                                    
                                                </select>
                                            </div>
                                        </div>
                                        <!--/span-->
                                        <button type="button" class="btn btn-success search-customer" style="margin-top: 25px; margin-left: 20px;"> <i
                                            class="fa fa-check"></i> Search</button>
                                    </div>

                                </div>
                                <!-- <div class="form-actions"> -->
                                   

                                <!-- </div> -->
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /row -->
        <div class="row"  id="update-table">
            <div class="col-sm-12">
                <div class="white-box">
                    <div class="pull-right">


                    </div>
                    <h3 class="box-title">All Emails</h3>

                    <div class="table-responsive">
                        <table id="myTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>

                                    <th>Title</th>
                                    <th>Receiver Email</th>
                                    <th>Content</th>

                                    <th>Time</th>
                                    <th>Status</th>

                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count = 1; ?>
                                @foreach ($email_log as $log)
                                    <tr>
                                        <td>{{ $count++ }}</td>
                                        <td>{{ $log->title }}</td>
                                        <td>{{ $log->receiver_email }}</td>
                                        <td>{{ $log->content }}</td>

                                        <td>{{ date('Y-m-d h:i:s A', strtotime($log->created_at)) }}</td>
                                        <td>

                                            @if ($log->status == 1)
                                                <span class="label label-success">Success</span>
                                            @else
                                                <span class="label label-danger">Fail</span>
                                            @endif
                                        </td>


                                        <td>
                                            @if ($log->status != 1)
                                                <form action="{{ route('emaillog.resend-email') }}" method="post"
                                                    style='display: inline;'>

                                                    {!! csrf_field() !!}

                                                    <input type='hidden' name='value' value="{{ $log->id }}">

                                                    <button class="btn btn-link btn-s" style="color:red;" type="submit"
                                                        name="action" value="resend" data-toggle="confirmation"
                                                        data-title="Are you sure to resend?">
                                                        <i class="fa fa-paper-plane-o" aria-hidden="true"></i>
                                                    </button>
                                                </form>
                                            @endif
                                        </td>

                                    </tr>
                                @endforeach


                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- ./container-fluid -->
@stop

@section('js')

    <script src="https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/jquery.inputmask.bundle.js"></script>

    <script>
        $(document).ready(function() {
            $('#myTable').DataTable();
        });
        $('.search-customer').on('click', function() {
                $('.preloader').fadeIn();
                title = $('#title').val();
                email = $('#email').val();
               
                status = $('#status').val();
                


                if (title == 0 && email == 0  && status == 0) {
                    toastr.warning("please select any option.");
                    $('.preloader').fadeOut();
                    return false;
                }

                var data = {
                    'title': title,
                    'email': email,
                  
                    'status': status,
                     
                };

                $.get('{{route("emaillog.index.updateTable")}}', data, function(data) {
                    document.getElementById('update-table').innerHTML = data;

                    $('#myTable').DataTable({
                        'pageLength': 50,
                        'paging': false,
                        'searching': false,
                        'info': true,
                        'dom': 'Bfrtip',
                        'buttons': [
                            'copy', 'csv', 'excel', 'pdf', 'print'
                        ]
                    });
                    toastr.success("Search updated.");


                    $('.preloader').fadeOut();
                });
            });
    </script>
@stop
