@extends('layouts.app')

@section('title')
    Unit Blockage Criteria
@stop

@section('breadcrumb')
    <ol class="breadcrumb pull-right">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Unit Blockage Criteria</li>
    </ol>
@stop
@section('content')


    <div class="container-fluid">
        <!-- /row -->
        <div class="row">
            <div class="col-sm-12">
                <div class="white-box">
                    <div class="pull-right" style="margin-top: 10px;">
                        @permission('create-unit-block-criteria')
                            <a href="{{ route('unitblockage.create') }}" class="btn  btn-primary">
                                <i class="fa fa-plus-square"></i>&nbsp; Add New Criteria
                            </a>
                        @endpermission

                    </div>
                    <h3 class="box-title">Unit Block Criteria List</h3>

                    <div class="table-responsive">
                        <table id="myTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Name</th>
                                    <th>Total Days</th>
                                    <th>Total Due Amounts</th>

                                    <th>Description</th>
                                    <th>Status</th>

                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count = 1; ?>
                                @foreach ($unit_criteria as $uc)
                                    <tr>
                                        <td>{{ $count++ }}</td>
                                        <td>{{ $uc->criteria_no }}</td>
                                        <td>{{ $uc->total_days }}</td>
                                        <td>{{ number_format($uc->total_amount) }}</td>
                                        <td>{{ $uc->description }}</td>
                                        @if ($uc->status == true)
                                            <td><span class="label label-success">Active</span></td>
                                        @else
                                            <td><span class="label label-danger">InActive</span></td>
                                        @endif

                                        <td class="text-nowrap">



                                            @permission('edit-unit-block-criteria')
                                                <a type='button' onclick="callCriteriaFunction('{{$uc->id}}')" data-toggle="tooltip" data-original-title="Active">
                                                    <i class="fa fa-wrench text-inverse m-r-10"></i>
                                                </a>

                                                <a href="{{route('unitblockage.edit',['id'=>$uc->id])}}" data-toggle="tooltip" data-original-title="Edit"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                               
                                            @endpermission



                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->

@stop

@section('js')
    <script>
        var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');

        function callCriteriaFunction(val) {
           
 
            Swal.fire({
                    title: "Are you sure?",
                    text: "you want to active this criteria!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, Sure!'
                })
                .then((result) => {
                    if (result.isConfirmed) {
                        $('.preloader').fadeIn();
                        $.ajax({
                            /* the route pointing to the post function */
                            url: '{{ route('unitblockage.active') }}',
                            type: 'POST',
                            /* send the csrf-token and the input to the controller */
                            data: {
                                _token: CSRF_TOKEN,
                                id: val
                            },
                            dataType: 'JSON',
                            /* remind that 'data' is the response of the AjaxController */
                            success: function(data) {

                               if(data.msg){
                                Swal.fire("Criteria Active Successfully!");
                               }

                               $('.preloader').fadeOut();
                               location.reload();




                            }
                        });
                    } else {
                        Swal.fire("Data is safe!");
                        $('.preloader').fadeOut();
                    }
                });



        }
        $(function() {
            $('#myTable').DataTable();

            var table = $('#example').DataTable({
                "columnDefs": [{
                    "visible": false,
                    "targets": 2
                }],
                "order": [
                    [2, 'asc']
                ],
                "displayLength": 25,
                "drawCallback": function(settings) {
                    var api = this.api();
                    var rows = api.rows({
                        page: 'current'
                    }).nodes();
                    var last = null;
                    api.column(2, {
                        page: 'current'
                    }).data().each(function(group, i) {
                        if (last !== group) {
                            $(rows).eq(i).before('<tr class="group"><td colspan="5">' + group +
                                '</td></tr>');
                            last = group;
                        }
                    });
                }
            });
            // Order by the grouping
            $('#example tbody').on('click', 'tr.group', function() {
                var currentOrder = table.order()[0];
                if (currentOrder[0] === 2 && currentOrder[1] === 'asc') {
                    table.order([2, 'desc']).draw();
                } else {
                    table.order([2, 'asc']).draw();
                }
            });
        });
        $('#example23').DataTable({
            dom: 'Bfrtip',
            buttons: [
                'copy', 'csv', 'excel', 'pdf', 'print'
            ]
        });
    </script>
    <script></script>
@stop
