@extends( 'layouts.app' )

@section('title')
All Project Amounts 
@stop

@section('breadcrumb')
<ol class="breadcrumb pull-right">
        <li><a href="{{route('home')}}"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Paradigm Account</li>
      </ol>
@stop

@section('content')


            <div class="container-fluid">
                <!-- /row -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="white-box">
                        	<div class="pull-right">
								<a href="{{route('account.addView')}}" class="btn  btn-primary">
									<i class="fa fa-plus-square"></i>&nbsp; Add new Transaction
								</a>
							</div>
                            <h3 class="box-title">All Paid Amounts ({{number_format($totalAmount)}})</h3>

                            <div class="table-responsive">
                                <table id="myTable" class="table table-striped">
                                    <thead>
                                        <tr>
                                            <th>Sr#</th>
                                            <th>Unit #</th>
                                            <th>Payment Head</th>
                                            <th>Depositor</th>
                                            <th>Payment Type</th>
                                            <th>Paid Amount</th>
                                            <th>Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $count =1;?>
                                        @foreach($amounts as $amount)
                                        <tr><td>{{$count++}}</td>
                                           <td>{{$amount->inventory->unit_number}}</td>
                                             @if($amount->payment_head == \App\ProjectAccount::booking)
                                            <td>Booking</td>
                                            @elseif($amount->payment_head == \App\ProjectAccount::confirmation)
                                            <td>Confirmation</td>
                                            @elseif($amount->payment_head == \App\ProjectAccount::installment)
                                            <td>Installment</td>
                                            @elseif($amount->payment_head == \App\ProjectAccount::possession)
                                            <td>Possession</td>

                                            @else
                                            <td></td>
                                            @endif
                                             <td>{{$amount->depositor_name}}</td>
                                             @if($amount->payment_type == \App\ProjectAccount::pay_order)
                                            <td>Pay Order</td>
                                            @else
                                            <td>Adjacement</td>
                                            @endif


                                            <td>{{number_format($amount->amount)}} PKR</td>
                                             <td> {{date('d-m-Y', strtotime($amount->date)) }}</td>
                                            <td class="text-nowrap">
                                                <a href="{{route('account.detail',['id'=>$amount->id])}}" data-toggle="tooltip" data-original-title="View"> <i class="fa fa-eye text-inverse m-r-10"></i> </a>
                                                <a href="{{route('account.editView',['id'=>$amount->id])}}" data-toggle="tooltip" data-original-title="Edit"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                                <a href="{{route('account.delete',['id'=>$amount->id])}}" data-toggle="confirmation" data-title="Are you sure to delete?" > <i class="fa fa-close text-danger"></i> </a>
                                            </td>
                                        </tr>
                                        @endforeach


                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.row -->
              </div>
            <!-- /.container-fluid -->

@stop

@section('js')
<script>
    $(function() {
        $('#myTable').DataTable();

        var table = $('#example').DataTable({
            "columnDefs": [{
                "visible": false,
                "targets": 2
            }],
            "order": [
                [2, 'asc']
            ],
            "displayLength": 25,
            "drawCallback": function(settings) {
                var api = this.api();
                var rows = api.rows({
                    page: 'current'
                }).nodes();
                var last = null;
                api.column(2, {
                    page: 'current'
                }).data().each(function(group, i) {
                    if (last !== group) {
                        $(rows).eq(i).before('<tr class="group"><td colspan="5">' + group + '</td></tr>');
                        last = group;
                    }
                });
            }
        });
        // Order by the grouping
        $('#example tbody').on('click', 'tr.group', function() {
            var currentOrder = table.order()[0];
            if (currentOrder[0] === 2 && currentOrder[1] === 'asc') {
                table.order([2, 'desc']).draw();
            } else {
                table.order([2, 'asc']).draw();
            }
        });
    });
    $('#example23').DataTable({
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
    });
    </script>
@stop