@extends('layouts.app')

@section('title')
    Add Sale
@stop

@section('breadcrumb')
    <ol class="breadcrumb pull-right">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        @permission('list-membership')
            <li><a href="{{ route('statement.all') }}">Statements</a></li>
        @endpermission
        <li class="active">Add Sale</li>
    </ol>
@stop
@section('css')
    <style>
        .select2-container {
            width: 300px !important;
            /* set the width to 300 pixels */
        }

        .help-block {
            font-weight: bold;
        }

        span {
            display: inline-block;
        }

        .lallu {
            display: flex;
        }

        .Note {
            display: inline-block;
            /* color: red; */
        }
        .white-box-1{
            background: #fff;
    padding: 18px 25px 10px 25px;
    margin-bottom: 30px;
    border-radius: 4px;
    
        }
    </style>

@stop

@section('content')




    <div class="container-fluid">
        <div class="row">

            <form class="form-horizontal" method='GET' action="{{ route('statement.addView') }}" enctype="multipart/form-data"
                >
                {{ csrf_field() }}
                <div class="col-lg-12 col-sm-12 col-xs-12">
                    @if ($errors->any())
                        <div class="white-box" style="height: 285px;">
                            <h2>Errors</h2>
                            <ul>
                                {!! implode('', $errors->all('<li><span class="help-block"><strong>:message</strong></span></li>')) !!}
                            </ul>
                        </div>
                    @endif

                   
                </div>
                @can('isSuperAdmin')
                <div class="col-lg-12 col-sm-12 col-xs-12">
                    <div class="white-box-2">
                        <h3 class="box-title m-b-0"><i class="icon-layers fa fa-product-hunt"></i> Project Type</h3>
                        <p class="text-muted m-b-30 font-13">Select project type before add a new inventory </p>


                        <hr>
                        <div class="clearfix"></div>
                       
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Select Project Type <span style="color: red">*</span></label>
                                  
                                    <div class="col-md-8">
                                        <select autocomplete="off" class="form-control " id="projecttype" name="multipro_type_id"
                                            style="width: 100%!important;"  >
                                            <option value="" selected="">None</option>
                                            @foreach ($projecttype as $project)
                                                <option value="{{ $project->id }}">{{ $project->name }}

                                                </option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('multipro_type_id'))
                                        <span class="help-block">
                                            <strong>{{ $errors->first('multipro_type_id') }}</strong>
                                        </span>
                                    @endif
                                    </div>
                                </div>
                            </div>
                            <div class="clearfix"></div>
                       
                            
                            <div class="form-group">
                                <div class="col-sm-2">&nbsp;</div>
                                <div class=" col-sm-4" style="
                                margin-left: 10px;
                            ">
                                    <button type="submit" class="btn btn-info waves-effect waves-light "
                                        >Submit</button>
                                </div>
                            </div>
                            
                       
                    </div>
                </div>
                @endcan
              
            </form>
        </div>
    </div>
    
@stop

@section('js')
 
 
       
   
        
   

@stop
