@extends('layouts.app')

@section('title')
    All Cancel Units
@stop

@section('breadcrumb')
    <ol class="breadcrumb pull-right">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>

        @permission('view-cancellation')
        <li><a href="{{ route('statement.cancel') }}">All Block Units</a></li>
    @endpermission
    <li class="active"> Block Unit History </li>
    </ol>
@stop
@section('css')

    <link href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/buttons/1.7.0/css/buttons.dataTables.min.css" rel="stylesheet">

    <style>
        table.dataTable thead .sorting_asc {
            background-image: none !important;
        }

        .table.dataTable,
        table.dataTable {
            width: 99.8% !important;
        }
    </style>

@stop

@section('content')


    <div class="container-fluid">
        <!-- /row -->



        <div class="row" id="update-table">
            <div class="col-sm-12">
                <div class="white-box">
                    <div class="pull-right">
                        

                       
                    </div>

                    <h3 class="box-title">Blocked Unit History</h3>

                    <div class="table-responsive">
                        <table id="myTable" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>#</th>


                                   
                                   
                                    <th>Member Name</th>
                                    <th>Unit #</th>
                                    
                                    <th>Blocked Date</th>
                                   
                                  
                                    
                                    
                                </tr>
                            </thead>
                            <tbody>
                                <?php $count = 1; ?>

                              
                                @foreach ($block_unit_log as $statement)
                                <tr>
                                    <td>{{ $count++ }}</td>


                                    @php
                                  $customer=unserialize($statement->customer_detail);
                               
                                    @endphp
                                    <td>{{$customer['name']}}--{{$customer['cnic']}}</td>
                                    @php
                                    $unit=unserialize($statement->unit_detail);
                                
                                      @endphp
                                    <td>{{$unit['unit_plot_no']}}</td>
                                    <td>{{$statement->block_date}}</td>

                                                                           
                                  

                                  


                                  
                                 
                                     

                                    


                                    

                                </tr>
                            @endforeach

                                



                               

                            </tbody>
                        </table>
                        <div style="float: right;">{{ $block_unit_log->links() }}</div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->


@stop

@section('js')

    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/dataTables.buttons.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.print.min.js"></script>

    <script>
       
        $(function() {
            $('#myTable').DataTable({
                'pageLength': 25,
                'paging': false,
                'searching': false,
                'info': false,
                'dom': 'Bfrtip',
                'buttons': [
                    'copy', 'csv', 'excel', 'pdf', 'print'
                ]
            });
        });
    </script>
 
@stop
