@extends('layouts.app')

@section('title')
    Transfer Documents
@stop

@section('breadcrumb')
    <ol class="breadcrumb pull-right">
        <li><a href="{{ route('home') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="{{ route('transfer.all') }}">Transfers</a></li>
        <li class="active">Approve Transfer </li>
    </ol>
@stop

@section('css')

    <style type="text/css">
        .spanha {
            color: red;
        }

        .divider:after,
        .divider:before {
            content: "";
            flex: 1;
            height: 1px;
            background: #eee;
        }
    </style>

@stop

@section('content')

    <div class="container-fluid">
        <div class="row">

            <form method='post' autocomplete="off" action="{{ route('transfer.approve.store') }}" enctype="multipart/form-data">
                {{ csrf_field() }}
                <div class="col-lg-12 col-sm-12 col-xs-12">
                    <div class="white-box-2">
                        <h3 class="box-title m-b-0"><i class="icon-layers fa-fw"></i>Approve Transfer</h3>
                        <p class="text-muted m-b-30 font-13"> <span class="spanha">Note:</span> All * fields are mandatory
                        </p>
                        <hr>

                        <input type="hidden" value="{{$transferProperty->id}}" name="id">

                        <div class="col-lg-12 col-sm-12 col-xs-12">

                            <div class="col-md-8">
                                <div class="form-group">
                                    <label style="padding-top: 8px;" class="control-label col-md-2">Unit No <span
                                            style="color: red">*</span></label>
                                    <div class="col-md-8">

                                        <input type="text" class="form-control"  
                                              id="exampleInputEmail1" value="{{$transferProperty->property->inventory->unit_number}}"
                                             readonly>
                                        @if ($errors->has('unit_no'))
                                            <span class="help-block">
                                                <strong>{{ $errors->first('unit_no') }}</strong>
                                            </span>
                                        @endif
                                    </div>
                                </div>
                            </div>



                            <div class="col-md-8">
                                <div class="form-group">
                                    <label for="inputPassword3" class="col-sm-2 control-label">Status<span
                                            style="color: red">*</span></label>
                                    <div class="col-sm-8">
                                        <div class="input-group">
                                            <select class="form-control" style="width:300px" name="status">
                                                
                                                @if($transferProperty->status == \App\TransferProperty::transfer_approved)
                                                <option value="{{\App\TransferProperty::transfer_pending}}">Pending</option>
                                                <option value="{{ \App\TransferProperty::transfer_approved}}" selected>Approve</option>
                                             
                                             @else
                                             <option value="{{\App\TransferProperty::transfer_pending}}" selected>Pending</option>
                                             <option value="{{ \App\TransferProperty::transfer_approved}}" >Approve</option>
                                          
                                                @endif
                                                

                                            </select>

                                            @if ($errors->has('status'))
                                                <span class="help-block">
                                                    <strong>{{ $errors->first('status') }}</strong>
                                                </span>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div class="form-group m-b-0 ">
                            <div class="col-sm-offset-3 col-sm-9">
                                <button type="submit" class="btn btn-info  waves-effect waves-light ">Save</button>
                            </div>
                        </div>

                    </div>
                </div>



                {{-- Check List --}}
                {{-- <div class="col-lg-12 col-sm-12 col-xs-12">
                    <div class="white-box">
                        <h3 class="box-title m-b-0"><i class="icon-layers fa fa-file-text"></i> Required Documents </h3>
                         
                            
                        
                        <hr>
                        <div class="clearfix"></div>
                       
                            
                        
                        <div class="clearfix"></div>
                      
                        
                    </div>
                </div> --}}
                {{-- End Check List --}}







            </form>
        </div>
    </div>


@stop

@section('js')

    

@stop
