

<?php $__env->startSection('title'); ?>

    Trial Balance Date Range
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <ol class="breadcrumb pull-right">
        <li><a href="<?php echo e(route('home')); ?>"><i class="fa fa-dashboard"></i> Home</a></li>

        <li class="active">Trial Balance Date Range</li>
    </ol>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
    <!-- Main content -->
    <section class="container-fluid">
        <!--.row-->
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-info">
                    <div class="panel-heading">Trial Balance Statement</div>
                    <div class="panel-wrapper collapse in" aria-expanded="true">
                        <div class="panel-body">
                            <form class="form-horizontal" method='post'
                                action="<?php echo e(route('report.trial-balance.generate')); ?>">
                                <?php echo e(csrf_field()); ?>

                                <div class="form-body">
                                    <div class="row">

                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('isSuperAdmin')): ?>
                                    <?php echo $__env->make('partial.multiproject_forsomereport', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                      <?php endif; ?>
                                        <!--/span-->
                                    </div>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group has-success" style="margin-bottom: 15px">
                                                <label class="control-label">By Date</label>
                                                <div class="input-group">
                                                    <div class="input-group-addon">
                                                        <i class="fa fa-calendar"></i>
                                                    </div>
                                                    <input type="text" class="form-control" id="daterange-btn"
                                                        value="<?php echo e(old('date_range')); ?>" name='date_range'>
                                                    <?php if($errors->has('date_range')): ?>
                                                        <span class="help-block">
                                                            <strong><?php echo e($errors->first('date_range')); ?></strong>
                                                        </span>
                                                    <?php endif; ?>

                                                </div>
                                            </div>
                                        </div>

                                        <div class="clearfix"></div>

                                        <div class="col-md-6">
                                            <div class="form-group has-success" style="margin-bottom: 15px">
                                                <label class="control-label">Type</label>
                                                <div class="input-group">
                                                    <div class="input-group-addon">
                                                        <i class="fa fa-calendar"></i>
                                                    </div>
                                                    <select class="form-control chosen-select" name="level">
                                                        <option value="0" selected=""> None-1</option>
                                                        <option value="4" selected=""> None-2</option>
                                                        <option value="1" selected=""> Level 1</option>
                                                        <option value="2"> Level 2</option>
                                                        <option value="3"> Level 3</option>

                                                    </select>
                                                    <?php if($errors->has('level')): ?>
                                                        <span class="help-block">
                                                            <strong><?php echo e($errors->first('level')); ?></strong>
                                                        </span>
                                                    <?php endif; ?>

                                                </div>
                                            </div>
                                        </div>
                                        <!--/span-->
                                    </div>

                                </div>
                                <div class="form-actions">
                                    <button type="submit" class="btn btn-success search-customer"> <i
                                            class="fa fa-check"></i> Generate</button>
                            </form>
                        </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        </div>
        <!--./row-->
    <?php $__env->stopSection(); ?>

    <?php $__env->startSection('js'); ?>


        <script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
        <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
        <script>
            const year = new Date().getFullYear();

            const this_fiscal_year_start_date = new Date((year - 1) + '-' + <?php echo e(\App\ChartOfAccount::FISCAL_YEAR_START); ?> +
                '-01');

            const this_fiscal_year_end_date = new Date(year + '-' + <?php echo e(\App\ChartOfAccount::FISCAL_YEAR_END); ?> + '-30');

            const last_fiscal_year_start_date = new Date((year - 2) + '-' + <?php echo e(\App\ChartOfAccount::FISCAL_YEAR_START); ?> +
                '-01');

            const last_fiscal_year_end_date = new Date((year - 1) + '-' + <?php echo e(\App\ChartOfAccount::FISCAL_YEAR_END); ?> + '-30');




            $('#daterange-btn').daterangepicker({

                    ranges: {
                        'Today': [moment(), moment()],
                        'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month': [moment().startOf('month'), moment().endOf('month')],
                        'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf(
                            'month')],
                        'This Fiscal Year': [this_fiscal_year_start_date, this_fiscal_year_end_date],
                        'Last Fiscal Year': [last_fiscal_year_start_date, last_fiscal_year_end_date]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate: moment()
                },
                function(start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
                }
            );


            $("#print").on("click", function() {
                var mode = 'iframe'; //popup
                var close = mode == "popup";
                var options = {
                    mode: mode,
                    popClose: close
                };
                $("div.printableArea").printArea(options);
            });

            $('.update-report').on('click', function() {

                $('.preloader').fadeIn();

                date_range = $('#daterange-btn').val();

                var data = {
                    'date_range': date_range
                };
                $.get('/report/update-trial-balance', data, function(data) {
                    document.getElementById('update-report').innerHTML = data;

                    $('#example1').DataTable({
                        'paging': false,
                        'searching': false,
                        'info': true,
                        dom: 'Bfrtip',
                        buttons: [
                            'csv', 'excel'
                        ]
                    });
                    toastr.success("Report updated.");
                });

                $('.preloader').fadeOut();
            });
        </script>


    <?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\erpv7\resources\views/report/trial-balance-range.blade.php ENDPATH**/ ?>